Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
freelist.cpp File Reference
`#include "freelist.h"`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions

int * | memalloc (int size)
int * | memrealloc (void *ptr, int size, int oldsize)
void | memfree (void *element)

## Function Documentation

int* memalloc | ( | int | size | ) |

Definition at line 22 of file freelist.cpp.

{
return static_cast<int*>(malloc(static_cast<size_t>(size)));
}

void memfree | ( | void * | element | ) |

Definition at line 30 of file freelist.cpp.

{
free(element);
}

int* memrealloc | ( | void * | ptr,
|  | int | size,
|  | int | oldsize
| ) |  |

Definition at line 26 of file freelist.cpp.

{
return static_cast<int*>(realloc(ptr, static_cast<size_t>(size)));
}